package com.bpcl.lpg.core.job;

import java.beans.Transient;
import groovy.transform.Internal;
import org.codehaus.groovy.runtime.callsite.CallSiteArray;
import com.bpcl.core.enums.OTPType;
import com.bpcl.core.enums.OTPChannel;
import java.text.MessageFormat;
import com.bpcl.core.constants.BpclCoreConstants;
import com.bpcl.facades.data.CustomerMessageData;
import groovy.lang.Reference;
import org.codehaus.groovy.runtime.GeneratedClosure;
import groovy.lang.Closure;
import com.bpcl.lpg.core.model.CashMemoModel;
import java.util.ArrayList;
import java.util.List;
import de.hybris.platform.core.servicelayer.data.SearchPageData;
import org.codehaus.groovy.runtime.typehandling.DefaultTypeTransformation;
import org.codehaus.groovy.runtime.BytecodeInterface8;
import org.codehaus.groovy.runtime.typehandling.ShortTypeHandling;
import java.text.SimpleDateFormat;
import java.text.DateFormat;
import java.util.Date;
import groovy.transform.Generated;
import org.codehaus.groovy.runtime.callsite.CallSite;
import org.codehaus.groovy.runtime.ScriptBytecodeAdapter;
import de.hybris.platform.core.Registry;
import java.lang.ref.SoftReference;
import groovy.lang.MetaClass;
import org.codehaus.groovy.reflection.ClassInfo;
import com.bpcl.lpg.core.utill.LpgCashMemoUtil;
import de.hybris.platform.servicelayer.model.ModelService;
import com.bpcl.lpg.core.dao.LpgDeliveryConfirmationDao;
import com.bpcl.core.service.BPCLBulkSMSService;
import de.hybris.platform.servicelayer.config.ConfigurationService;
import groovy.lang.GroovyObject;

public class LpgDeliveryConfirmationOTPJob implements GroovyObject
{
    private ConfigurationService configurationService;
    private BPCLBulkSMSService bpclBulkSMSService;
    private LpgDeliveryConfirmationDao lpgDeliveryConfirmationDao;
    private ModelService modelService;
    private LpgCashMemoUtil lpgCashMemoUtil;
    public static transient /* synthetic */ boolean __$stMC;
    private transient /* synthetic */ MetaClass metaClass;
    private static /* synthetic */ SoftReference $callSiteArray;
    
    @Generated
    public LpgDeliveryConfirmationOTPJob() {
        final CallSite[] $getCallSiteArray = $getCallSiteArray();
        this.configurationService = (ConfigurationService)ScriptBytecodeAdapter.castToType($getCallSiteArray[0].call($getCallSiteArray[1].call((Object)Registry.class), (Object)"configurationService", (Object)ConfigurationService.class), (Class)ConfigurationService.class);
        this.bpclBulkSMSService = (BPCLBulkSMSService)ScriptBytecodeAdapter.castToType($getCallSiteArray[2].call($getCallSiteArray[3].call((Object)Registry.class), (Object)"bpclBulkSMSService", (Object)BPCLBulkSMSService.class), (Class)BPCLBulkSMSService.class);
        this.lpgDeliveryConfirmationDao = (LpgDeliveryConfirmationDao)ScriptBytecodeAdapter.castToType($getCallSiteArray[4].call($getCallSiteArray[5].call((Object)Registry.class), (Object)"lpgDeliveryConfirmationDao", (Object)LpgDeliveryConfirmationDao.class), (Class)LpgDeliveryConfirmationDao.class);
        this.modelService = (ModelService)ScriptBytecodeAdapter.castToType($getCallSiteArray[6].call($getCallSiteArray[7].call((Object)Registry.class), (Object)"modelService", (Object)ModelService.class), (Class)ModelService.class);
        this.lpgCashMemoUtil = (LpgCashMemoUtil)ScriptBytecodeAdapter.castToType($getCallSiteArray[8].call($getCallSiteArray[9].call((Object)Registry.class), (Object)"lpgCashMemoUtil", (Object)LpgCashMemoUtil.class), (Class)LpgCashMemoUtil.class);
        this.metaClass = this.$getStaticMetaClass();
    }
    
    public void perform() {
        final CallSite[] $getCallSiteArray = $getCallSiteArray();
        $getCallSiteArray[10].callCurrent((GroovyObject)this, (Object)"Executing Groovy");
        final Date date = (Date)ScriptBytecodeAdapter.castToType($getCallSiteArray[11].callConstructor((Object)Date.class), (Class)Date.class);
        final DateFormat dateFormat = (DateFormat)ScriptBytecodeAdapter.castToType($getCallSiteArray[12].callConstructor((Object)SimpleDateFormat.class, (Object)"yyyy-MM-dd HH:mm:ss.SSS"), (Class)DateFormat.class);
        final String endDate = ShortTypeHandling.castToString($getCallSiteArray[13].call((Object)dateFormat, (Object)date));
        $getCallSiteArray[14].callCurrent((GroovyObject)this, (Object)endDate);
        Date fromDate = null;
        if (BytecodeInterface8.isOrigInt() && !LpgDeliveryConfirmationOTPJob.__$stMC && !BytecodeInterface8.disabledStandardMetaClass()) {
            fromDate = (Date)ScriptBytecodeAdapter.castToType($getCallSiteArray[21].callConstructor((Object)Date.class, $getCallSiteArray[22].call($getCallSiteArray[23].call((Object)date), (Object)(1000 * 60 * 60 * 24))), (Class)Date.class);
        }
        else {
            fromDate = (Date)ScriptBytecodeAdapter.castToType($getCallSiteArray[15].callConstructor((Object)Date.class, $getCallSiteArray[16].call($getCallSiteArray[17].call((Object)date), $getCallSiteArray[18].call($getCallSiteArray[19].call($getCallSiteArray[20].call((Object)1000, (Object)60), (Object)60), (Object)24))), (Class)Date.class);
        }
        final String startDate = ShortTypeHandling.castToString($getCallSiteArray[24].call((Object)dateFormat, (Object)fromDate));
        $getCallSiteArray[25].callCurrent((GroovyObject)this, (Object)startDate);
        final SearchPageData pageableData = null;
        int currentPage = 0;
        final int pageSize = DefaultTypeTransformation.intUnbox($getCallSiteArray[26].call((Object)Integer.class, $getCallSiteArray[27].call($getCallSiteArray[28].call((Object)this.configurationService), (Object)"bpcl.lpg.delivery.confirmation.otp.job.page.size")));
        SearchPageData searchPageData = (SearchPageData)ScriptBytecodeAdapter.castToType($getCallSiteArray[29].call((Object)this.lpgDeliveryConfirmationDao, (Object)startDate, (Object)endDate, (Object)pageSize, (Object)currentPage), (Class)SearchPageData.class);
        final int totalPages = DefaultTypeTransformation.intUnbox($getCallSiteArray[30].call($getCallSiteArray[31].call((Object)searchPageData)));
        $getCallSiteArray[32].callCurrent((GroovyObject)this, $getCallSiteArray[33].call($getCallSiteArray[34].call($getCallSiteArray[35].call($getCallSiteArray[36].call($getCallSiteArray[37].call((Object)"Page size: ", (Object)pageSize), (Object)", total pages: "), (Object)totalPages), (Object)", total records: "), $getCallSiteArray[38].call($getCallSiteArray[39].call((Object)searchPageData))));
        List cashMemoModelList = (List)ScriptBytecodeAdapter.castToType($getCallSiteArray[40].callConstructor((Object)ArrayList.class), (Class)List.class);
        while (currentPage < totalPages) {
            searchPageData = (SearchPageData)ScriptBytecodeAdapter.castToType($getCallSiteArray[41].call((Object)this.lpgDeliveryConfirmationDao, (Object)startDate, (Object)endDate, (Object)pageSize, (Object)currentPage), (Class)SearchPageData.class);
            cashMemoModelList = (List)ScriptBytecodeAdapter.castToType($getCallSiteArray[42].call((Object)searchPageData), (Class)List.class);
            $getCallSiteArray[43].callCurrent((GroovyObject)this, (Object)cashMemoModelList);
            currentPage = DefaultTypeTransformation.intUnbox($getCallSiteArray[44].call((Object)currentPage));
        }
    }
    
    private void sendDeliveryOtpToCustomers(final List<CashMemoModel> cashMemoModelList) {
        final CallSite[] $getCallSiteArray = $getCallSiteArray();
        final Reference customerMessageDataList = new Reference((Object)ScriptBytecodeAdapter.castToType($getCallSiteArray[45].callConstructor((Object)ArrayList.class), (Class)List.class));
        public final class _sendDeliveryOtpToCustomers_closure1 extends Closure implements GeneratedClosure
        {
            private static /* synthetic */ SoftReference $callSiteArray;
            
            public _sendDeliveryOtpToCustomers_closure1(final Object _outerInstance, final Object _thisObject) {
                $getCallSiteArray();
                super(_outerInstance, _thisObject);
            }
            
            public Object doCall(final Object cashMemoModel) {
                final CallSite[] $getCallSiteArray = $getCallSiteArray();
                if (DefaultTypeTransformation.booleanUnbox($getCallSiteArray[0].call($getCallSiteArray[1].callGroovyObjectGetProperty((Object)this), $getCallSiteArray[2].call(cashMemoModel)))) {
                    final CustomerMessageData customerMessageData = (CustomerMessageData)ScriptBytecodeAdapter.castToType($getCallSiteArray[3].callConstructor((Object)CustomerMessageData.class), (Class)CustomerMessageData.class);
                    $getCallSiteArray[4].call((Object)customerMessageData, $getCallSiteArray[5].call((Object)String.class, $getCallSiteArray[6].call(cashMemoModel)));
                    $getCallSiteArray[7].call((Object)customerMessageData, $getCallSiteArray[8].call((Object)String.class, $getCallSiteArray[9].call(cashMemoModel)));
                    final String templateId = ShortTypeHandling.castToString($getCallSiteArray[10].call($getCallSiteArray[11].call($getCallSiteArray[12].callGroovyObjectGetProperty((Object)this)), $getCallSiteArray[13].callGetProperty((Object)BpclCoreConstants.class)));
                    $getCallSiteArray[14].call((Object)customerMessageData, (Object)templateId);
                    $getCallSiteArray[15].call((Object)customerMessageData, $getCallSiteArray[16].callGetProperty((Object)Boolean.class));
                    final String contentMsg = ShortTypeHandling.castToString($getCallSiteArray[17].call($getCallSiteArray[18].call($getCallSiteArray[19].callGroovyObjectGetProperty((Object)this)), $getCallSiteArray[20].callGetProperty((Object)BpclCoreConstants.class)));
                    final String content = ShortTypeHandling.castToString($getCallSiteArray[21].call((Object)MessageFormat.class, (Object)contentMsg, $getCallSiteArray[22].call((Object)String.class, $getCallSiteArray[23].call(cashMemoModel)), $getCallSiteArray[24].call((Object)String.class, $getCallSiteArray[25].call(cashMemoModel))));
                    $getCallSiteArray[26].call((Object)customerMessageData, (Object)content);
                    $getCallSiteArray[27].call((Object)customerMessageData, $getCallSiteArray[28].call((Object)String.class, $getCallSiteArray[29].callGetProperty((Object)OTPChannel.class)));
                    $getCallSiteArray[30].call((Object)customerMessageData, $getCallSiteArray[31].call((Object)String.class, $getCallSiteArray[32].callGetProperty((Object)OTPType.class)));
                    return $getCallSiteArray[33].call(customerMessageDataList.get(), (Object)customerMessageData);
                }
                return null;
            }
            
            @Generated
            public List getCustomerMessageDataList() {
                $getCallSiteArray();
                return (List)ScriptBytecodeAdapter.castToType(customerMessageDataList.get(), (Class)List.class);
            }
            
            private static /* synthetic */ CallSiteArray $createCallSiteArray() {
                final String[] array = new String[34];
                $createCallSiteArray_1(array);
                return new CallSiteArray((Class)_sendDeliveryOtpToCustomers_closure1.class, array);
            }
            
            private static /* synthetic */ CallSite[] $getCallSiteArray() {
                CallSiteArray $createCallSiteArray;
                if (_sendDeliveryOtpToCustomers_closure1.$callSiteArray == null || ($createCallSiteArray = _sendDeliveryOtpToCustomers_closure1.$callSiteArray.get()) == null) {
                    $createCallSiteArray = $createCallSiteArray();
                    _sendDeliveryOtpToCustomers_closure1.$callSiteArray = new SoftReference($createCallSiteArray);
                }
                return $createCallSiteArray.array;
            }
        }
        $getCallSiteArray[46].call($getCallSiteArray[47].call((Object)cashMemoModelList), (Object)new _sendDeliveryOtpToCustomers_closure1(this, this));
        final boolean status = DefaultTypeTransformation.booleanUnbox($getCallSiteArray[48].call((Object)this.bpclBulkSMSService, (Object)customerMessageDataList.get()));
        if (status) {
            public final class _sendDeliveryOtpToCustomers_closure2 extends Closure implements GeneratedClosure
            {
                private static /* synthetic */ SoftReference $callSiteArray;
                
                public _sendDeliveryOtpToCustomers_closure2(final Object _outerInstance, final Object _thisObject) {
                    $getCallSiteArray();
                    super(_outerInstance, _thisObject);
                }
                
                public Object doCall(final Object cashMemoModel) {
                    return $getCallSiteArray()[0].call(cashMemoModel, (Object)true);
                }
                
                private static /* synthetic */ CallSiteArray $createCallSiteArray() {
                    final String[] array = { null };
                    $createCallSiteArray_1(array);
                    return new CallSiteArray((Class)_sendDeliveryOtpToCustomers_closure2.class, array);
                }
                
                private static /* synthetic */ CallSite[] $getCallSiteArray() {
                    CallSiteArray $createCallSiteArray;
                    if (_sendDeliveryOtpToCustomers_closure2.$callSiteArray == null || ($createCallSiteArray = _sendDeliveryOtpToCustomers_closure2.$callSiteArray.get()) == null) {
                        $createCallSiteArray = $createCallSiteArray();
                        _sendDeliveryOtpToCustomers_closure2.$callSiteArray = new SoftReference($createCallSiteArray);
                    }
                    return $createCallSiteArray.array;
                }
            }
            $getCallSiteArray[49].call($getCallSiteArray[50].call((Object)cashMemoModelList), (Object)new _sendDeliveryOtpToCustomers_closure2(this));
            $getCallSiteArray[51].call((Object)this.modelService, (Object)cashMemoModelList);
        }
    }
    
    protected /* synthetic */ MetaClass $getStaticMetaClass() {
        if (this.getClass() != LpgDeliveryConfirmationOTPJob.class) {
            return ScriptBytecodeAdapter.initMetaClass((Object)this);
        }
        ClassInfo $staticClassInfo = LpgDeliveryConfirmationOTPJob.$staticClassInfo;
        if ($staticClassInfo == null) {
            $staticClassInfo = (LpgDeliveryConfirmationOTPJob.$staticClassInfo = ClassInfo.getClassInfo((Class)this.getClass()));
        }
        return $staticClassInfo.getMetaClass();
    }
    
    @Generated
    @Internal
    @Transient
    public MetaClass getMetaClass() {
        final MetaClass metaClass = this.metaClass;
        if (metaClass != null) {
            return metaClass;
        }
        this.metaClass = this.$getStaticMetaClass();
        return this.metaClass;
    }
    
    @Generated
    @Internal
    public void setMetaClass(final MetaClass metaClass) {
        this.metaClass = metaClass;
    }
    
    private static /* synthetic */ CallSiteArray $createCallSiteArray() {
        final String[] array = new String[52];
        $createCallSiteArray_1(array);
        return new CallSiteArray((Class)LpgDeliveryConfirmationOTPJob.class, array);
    }
    
    private static /* synthetic */ CallSite[] $getCallSiteArray() {
        CallSiteArray $createCallSiteArray;
        if (LpgDeliveryConfirmationOTPJob.$callSiteArray == null || ($createCallSiteArray = LpgDeliveryConfirmationOTPJob.$callSiteArray.get()) == null) {
            $createCallSiteArray = $createCallSiteArray();
            LpgDeliveryConfirmationOTPJob.$callSiteArray = new SoftReference($createCallSiteArray);
        }
        return $createCallSiteArray.array;
    }
}
